Skip to main content
GET
/
api
/
companies
/
{id}
/
jobs
List jobs that belong to a specific company
curl --request GET \
  --url https://connect.jobo.world/api/companies/{id}/jobs \
  --header 'X-Api-Key: <api-key>'
{
  "jobs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "normalized_title": "<string>",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "website": "<string>",
        "logo_url": "<string>",
        "summary": "<string>",
        "industries": [
          "<string>"
        ],
        "linkedin_url": "<string>",
        "crunchbase_url": "<string>",
        "details_url": "<string>"
      },
      "description": "<string>",
      "summary": "<string>",
      "listing_url": "<string>",
      "apply_url": "<string>",
      "locations": [
        {
          "location": "<string>",
          "city": "<string>",
          "region": "<string>",
          "country": "<string>",
          "latitude": 123,
          "longitude": 123
        }
      ],
      "compensation": {
        "min": 123,
        "max": 123,
        "currency": "<string>"
      },
      "source": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "date_posted": "2023-11-07T05:31:56Z",
      "valid_through": "2023-11-07T05:31:56Z",
      "qualifications": {
        "must_have": {
          "education": [
            "<string>"
          ],
          "certifications": [
            "<string>"
          ],
          "skills": [
            {
              "name": "<string>",
              "type": "hard"
            }
          ]
        },
        "preferred": {
          "education": [
            "<string>"
          ],
          "certifications": [
            "<string>"
          ],
          "skills": [
            {
              "name": "<string>",
              "type": "hard"
            }
          ]
        }
      },
      "responsibilities": [
        "<string>"
      ],
      "benefits": [
        "<string>"
      ],
      "is_work_auth_required": true,
      "is_h1b_sponsor": true,
      "is_clearance_required": true
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "total_pages": 123,
  "facets": {}
}

Documentation Index

Fetch the complete documentation index at: https://jobo.world/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Api-Key
string
header
required

API key provided by Jobo

Path Parameters

id
string<uuid>
required

Unique company identifier

Query Parameters

posted_after
string<date-time>

Only return jobs posted after this date

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:25

Number of results per page (max 100)

Required range: 1 <= x <= 100

Response

Paginated list of jobs scoped to this company

jobs
object[]
total
integer<int64>
page
integer
page_size
integer
total_pages
integer
facets
object